libiio: Buffer Stream

libiio 1.0 Library for interfacing with IIO devices

Loading...
Searching...
No Matches
Data Structures | Functions
Buffer Stream
Buffer
Collaboration diagram for Buffer Stream:

## Data Structures
struct | iio_buffer_stream
| An opened buffer ready for data streaming. More...

## Functions
__api __check_ret struct iio_buffer_stream * | iio_buffer_open (struct iio_buffer *buf, const struct iio_channels_mask *mask)
| Open a buffer for data streaming.
__api void | iio_buffer_close (struct iio_buffer_stream *buf_stream)
| Close a buffer stream.
__api void | iio_buffer_stream_cancel (struct iio_buffer_stream *buf_stream)
| Cancel all buffer stream operations.
__api __check_ret int | iio_buffer_stream_start (struct iio_buffer_stream *buf_stream)
| Start the buffer stream.
__api int | iio_buffer_stream_stop (struct iio_buffer_stream *buf_stream)
| Stop the buffer stream.
__api const struct iio_channels_mask * | iio_buffer_stream_get_channels_mask (const struct iio_buffer_stream *buf_stream)
| Retrieve the channels mask of a buffer stream.

## Detailed Description

## Function Documentation

## ◆ iio_buffer_close()

__api void iio_buffer_close | ( | struct iio_buffer_stream * | buf_stream | ) |

Close a buffer stream.

Parameters

  buf_stream | A pointer to an iio_buffer_stream structure

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ iio_buffer_open()

__api __check_ret struct iio_buffer_stream * iio_buffer_open | ( | struct iio_buffer * | buf,
|  | const struct iio_channels_mask * | mask
| ) |  |

Open a buffer for data streaming.

Parameters

  buf | A pointer to an iio_buffer structure
  mask | A pointer to an iio_channels_mask structure specifying which channels to enable

Returns
  On success, a pointer to an iio_buffer_stream structure
  On failure, a pointer-encoded error is returned

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ iio_buffer_stream_cancel()

__api void iio_buffer_stream_cancel | ( | struct iio_buffer_stream * | buf_stream | ) |

Cancel all buffer stream operations.

Parameters

  buf_stream | The buffer stream for which operations should be canceled

Here is the caller graph for this function:

## ◆ iio_buffer_stream_get_channels_mask()

__api const struct iio_channels_mask * iio_buffer_stream_get_channels_mask | ( | const struct iio_buffer_stream * | buf_stream | ) |

Retrieve the channels mask of a buffer stream.

Parameters

  buf_stream | A pointer to an iio_buffer_stream structure

Returns
  A pointer to an iio_channels_mask structure

## ◆ iio_buffer_stream_start()

__api __check_ret int iio_buffer_stream_start | ( | struct iio_buffer_stream * | buf_stream | ) |

Start the buffer stream.

Parameters

  buf_stream | A pointer to an iio_buffer_stream structure

Returns
  On success, 0
  On error, a negative error code is returned

Here is the caller graph for this function:

## ◆ iio_buffer_stream_stop()

__api int iio_buffer_stream_stop | ( | struct iio_buffer_stream * | buf_stream | ) |

Stop the buffer stream.

Parameters

  buf_stream | A pointer to an iio_buffer_stream structure

Returns
  On success, 0
  On error, a negative error code is returned